@echo off
if exist cfg\mia.cfg move cfg\mia.cfg cfg\mia.bak
if exist hi\mia.hi move hi\mia.hi hi\mia.bak
if exist nvram\mia.nv move nvram\mia.nv nvram\mia.bak
if exist diff\mia.dif move diff\mia.dif diff\mia.bak

mame mia -record mia.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\mia.bak move cfg\mia.bak cfg\mia.cfg
if exist hi\mia.bak move hi\mia.bak hi\mia.hi
if exist nvram\mia.bak move nvram\mia.bak nvram\mia.nv
if exist diff\mia.bak move diff\mia.bak diff\mia.dif
